XMLOutputter
Keywords: uk.ac.ic.doc.automed.xmlschema.output.XMLOutputter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.output
Class XMLOutputter

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.output.XMLOutputter

    public class XMLOutputter

extends java.lang.Object

Author:
  Andrew Charles Smith - acs203 Takes the internal representation of an XMLSchema document and data from the original wrapped automed source and produces an XML document.

Constructor Summary
`XMLOutputter(Document doc, QueryReformulator qr, java.lang.String schemaLocation)` Creates a new instance of XMLOutputter

Method Summary
`java.lang.String` | `output()` Return a string containing the XML that this Schema represents
`void` | `output(java.lang.String fileName)` Output the XML that this Schema represents to fileName

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLOutputter

    public XMLOutputter(Document doc,
                        QueryReformulator qr,
                        java.lang.String schemaLocation)

  Creates a new instance of XMLOutputter

Method Detail

### output

    public java.lang.String output()
                            throws NotFoundException,
                                   java.lang.Exception

  Return a string containing the XML that this Schema represents

  Throws:
    `NotFoundException`
    `java.lang.Exception`

### output

    public void output(java.lang.String fileName)
                throws NotFoundException,
                       java.lang.Exception

  Output the XML that this Schema represents to fileName

  Throws:
    `NotFoundException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD